#!/bin/sh

PACKAGE_DIR=/usr/local/packages/angelcamconnector
NEW_CONFIG_DIR=/etc/angelcamconnector
OLD_CONFIG_DIR=/usr/local/packages/angelcamconnector-storage

mkdir -p $NEW_CONFIG_DIR

# if there is a configuration file from an older version of the package, use it
if [ -f $OLD_CONFIG_DIR/config.json ]; then
  cp $OLD_CONFIG_DIR/config.json $NEW_CONFIG_DIR
fi

# if there is no configuration file in the system but there is a configuration
# file distributed with the package, use the one from the package
if [ ! -f $NEW_CONFIG_DIR/config.json ]; then
  if [ ! -f $NEW_CONFIG_DIR/config-skel.json ]; then
    if [ -f $PACKAGE_DIR/config-skel.json ]; then
      cp $PACKAGE_DIR/config-skel.json $NEW_CONFIG_DIR
    fi
  fi
fi

# start the application in diagnostic mode to create all its files
$PACKAGE_DIR/angelcamconnector --init

rm /var/run/angelcamconnector.pid

chown -R sdk:sdk $NEW_CONFIG_DIR
chown -R sdk:www $PACKAGE_DIR/html

exit 0
